from django.http import HttpResponse
from shiftregister.app.models import Helper


def metrics(request):
    response = HttpResponse(
        "\n".join(
            (
                f"shiftregister_{name} {value}"
                for name, value in (
                    ("helpers_total", Helper.objects.count()),
                    (
                        "helpers_confirmed_total",
                        Helper.objects.filter(number_validated=True).count(),
                    ),
                )
            )
        )
    )
    response.headers["Content-Type"] = "text/plain"

    return response
